# Contributing

We love contributions from everyone.
By participating in this project,
you agree to abide by the thoughtbot [code of conduct].

  [code of conduct]: https://thoughtbot.com/open-source-code-of-conduct

We expect everyone to follow the code of conduct
anywhere in thoughtbot's project codebases,
issue trackers, chatrooms, and mailing lists.

## Contributing Code

1. Fork the repo.

  ```
  git clone git@github.com:thoughtbot/french_toast.git
  ```

1. Make sure the tests pass:

  ```
  rake
  ```

1. Make your change, with new passing tests. Follow the [style guide][style].

  [style]: https://github.com/thoughtbot/guides/tree/master/style

1. Mention how your changes affect the project to other developers and users in
the [change log].

1. Push to your fork. Write a [good commit message][commit]. Submit a pull request.

  [change log]: CONTRIBUTING.md
  [commit]: http://tbaggery.com/2008/04/19/a-note-about-git-commit-messages.html

Others will give constructive feedback.
This is a time for discussion and improvements,
and making the necessary changes will be required before we can
merge the contribution.
